Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86526 - unable to install if smp and boot flag is noapic
Summary: unable to install if smp and boot flag is noapic
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-25 02:17 UTC by Robert Allen
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-02 20:17:00 UTC


Attachments (Terms of Use)
dump from anaconda (deleted)
2003-03-25 02:19 UTC, Robert Allen
no flags Details

Description Robert Allen 2003-03-25 02:17:14 UTC
Description of problem:


Version-Release number of selected component (if applicable):
8.0

How reproducible:
100%

Steps to Reproduce:
1. Boot from floppy made with boot.img
2. enter linux noapic to boot: prompt ( if this flag is not set loading vmlinux
kernel panics )
3. answer the run-of-the-mill install questions
4. python script stops with unhandled exception
    
Actual results:
see anadump.txt ( attached )


Expected results:
Script to handle exctption, give sane error msg, give suggestions on how to
correct, prompt user with suggestions.

Additional info:
DELL OptiPlex DGX 5166 ( have 2 of these computers, first one installed just
fine, no 2nd proc present )

Comment 1 Robert Allen 2003-03-25 02:19:09 UTC
Created attachment 90707 [details]
dump from anaconda

Comment 2 Michael Fulbright 2003-03-25 22:32:29 UTC
I'm guessing this is a SMP capable Pentium motherboard?

There is no kernel-smp for that arch in 8.0, so you'll want to remove the
kernel-smp package from the system before you upgrade. Make sure you bootloader
setup does not refer to this kernel.

Comment 3 Robert Allen 2003-03-26 01:01:06 UTC
It is an SMP capable motherboard (
http://premiersupport.dell.com/docs/dta/DGX5ME1/00000003.htm )   redhat 7.0
automatically switched into SMP
when I added the 2nd proc.  I had to take the 2nd proc out to get the 8.0
install to not crash.  8.0 is now installed with the Server template.  i'll
check the hcl to see which architectures are supported, but it seems like i586
shoud be on there.

Comment 4 Michael Fulbright 2003-04-02 20:17:00 UTC
SMP i586 is not supported in 8.0 and later releases.


Note You need to log in before you can comment on or make changes to this bug.